internal::input_types< 6, InputTuple > Struct Template Reference

`#include <_flow_graph_indexer_impl.h>`

Collaboration diagram for internal::input_types< 6, InputTuple >:

## Public Types

typedef tuple_element< 0, InputTuple >::type | first_type
typedef tuple_element< 1, InputTuple >::type | second_type
typedef tuple_element< 2, InputTuple >::type | third_type
typedef tuple_element< 3, InputTuple >::type | fourth_type
typedef tuple_element< 4, InputTuple >::type | fifth_type
typedef tuple_element< 5, InputTuple >::type | sixth_type
typedef internal::tagged_msg< size_t, first_type, second_type, third_type, fourth_type, fifth_type, sixth_type > | type

## Detailed Description

### template<typename InputTuple>
struct internal::input_types< 6, InputTuple >

Definition at line 379 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## fifth_type

template<typename InputTuple >

typedef tuple_element<4, InputTuple>::type internal::input_types< 6, InputTuple >::fifth_type

Definition at line 384 of file _flow_graph_indexer_impl.h.

## first_type

template<typename InputTuple >

typedef tuple_element<0, InputTuple>::type internal::input_types< 6, InputTuple >::first_type

Definition at line 380 of file _flow_graph_indexer_impl.h.

## fourth_type

template<typename InputTuple >

typedef tuple_element<3, InputTuple>::type internal::input_types< 6, InputTuple >::fourth_type

Definition at line 383 of file _flow_graph_indexer_impl.h.

## second_type

template<typename InputTuple >

typedef tuple_element<1, InputTuple>::type internal::input_types< 6, InputTuple >::second_type

Definition at line 381 of file _flow_graph_indexer_impl.h.

## sixth_type

template<typename InputTuple >

typedef tuple_element<5, InputTuple>::type internal::input_types< 6, InputTuple >::sixth_type

Definition at line 385 of file _flow_graph_indexer_impl.h.

## third_type

template<typename InputTuple >

typedef tuple_element<2, InputTuple>::type internal::input_types< 6, InputTuple >::third_type

Definition at line 382 of file _flow_graph_indexer_impl.h.

## type

template<typename InputTuple >

typedef internal::tagged_msg<size_t, first_type, second_type, third_type, fourth_type, fifth_type, sixth_type> internal::input_types< 6, InputTuple >::type

Definition at line 387 of file _flow_graph_indexer_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.